/* bumble0.c -- the most basic "bumbleball" simulation 
 *
 * compile this by saying:
 *
 *	cc -o bumble0 bumble0.c /musr/cmix/lib/randfuncs.o -lm
 *
 * to create an executable called "bumble0"
 * (this is NOT included in the Makefile for this directory!)
 *
 * BGG
 *
*/

#include <stdio.h>
#include <math.h>
#include "/musr/cmix/H/randfuncs.h"

main()
{
	int i;
	int pitchindex;
	float start;
	float pitch;
	float p1[7] = {8.00, 8.02, 8.01, 9.05, 7.10, 9.065, 8.079872};

	start = 0.0;
	for (i=0; i < 25; i++) {
		pitchindex = brrand()*7.0;
		pitch = p1[pitchindex];

/* p0 = start; p1 = dur; p2 = pitch (oct.pc); p3 = fundamental decay time
   p4 = nyquist decay time; p5 = amp, p6 = squish; p7 = stereo spread [optional]
*/
		printf("STRUM(%f, 2.4, %f, 2.4, 1.2, 10000, 1.0)\n",start,pitch);
		start = start + 0.2;
	}

}
