/* bumble2.c -- uses the STRUM instrument, sends data over a TCP/IP
 * socket and uses the RTtimeit() timing mechanism
 *
 * BGG
*/

#include <stdio.h>

#include "/musr/cmix/H/RTsockfuncs.h"
#include <math.h>
#include "/musr/cmix/H/randfuncs.h"

int theSock;


main()
{
	int i;
	int RTpid;

	void gobumble();


/* set up the socket connection */
	RTpid = RTopensocket(0, "STRUM");
	sleep(3);
	theSock = RTsock("localhost", 0);
	RTsendsock("rtsetparams", theSock, 2, 44100.0, 1.0);
	sleep(1);


/* now DO THE STUFF!!!!!!!! */
	RTtimeit(0.2, gobumble);

	while(1) {
		sleep(1);
	}
}


void gobumble()
{
	int pitchindex;
	float pitch;
	int xpos,ypos;
        float p1[7] = {8.00, 8.02, 8.01, 9.05, 7.10, 9.065, 8.079872};
	
        pitchindex = brrand()*7.0;
        pitch = p1[pitchindex];

/* p0 = start; p1 = dur; p2 = pitch (oct.pc); p3 = fundamental decay time
   p4 = nyquist decay time; p5 = amp, p6 = squish; p7 = stereo spread [optional]
*/

        RTsendsock("START", theSock, 7, 0.0, 0.3, pitch, 0.3, 0.2, 10000.0, 1.0);
}
