/* bumble2--
 * uses the STRUM instrument
 *
 * BGG
*/

#include <stdio.h>

#include "/musr/cmix/H/RTsockfuncs.h"
#include <math.h>
#include "/musr/cmix/H/randfuncs.h"

int theSock;

int xpos,ypos;

main()
{
	int i;
	int RTpid;

	void gobumble();


/* set up the socket connection */
	RTpid = RTopensocket(0, "STRUM");
	sleep(3);
	theSock = RTsock("localhost", 0);
	RTsendsock("rtsetparams", theSock, 2, 44100.0, 1.0);
	sleep(1);

	xpos = 50;
	ypos = 50;

/* now DO THE STUFF!!!!!!!! */
	RTtimeit(0.2, gobumble);

	while(1) {
		sleep(1);
	}
}


void gobumble()
{
	int pitchindex;
	float pitch;
        float p1[7] = {8.00, 8.02, 8.01, 9.05, 7.10, 9.065, 8.079872};
        float p2[7] = {6.00, 6.00, 6.00, 6.00, 6.00, 6.00, 6.00};
        float p3[7] = {10.00, 10.01, 10.02, 10.03, 10.04, 10.05, 10.06};
        float p4[7] = {6.02, 8.02, 9.02, 10.02, 7.02, 9.0265, 8.0279872};


        pitchindex = brrand()*7.0;
	if (xpos < 250) {
		if (ypos < 250) {
        		pitch = p1[pitchindex];
		}
		else {
        		pitch = p2[pitchindex];
		}
	}
	else {
		if (ypos < 250) {
        		pitch = p3[pitchindex];
		}
		else {
        		pitch = p4[pitchindex];
		}
	}

	printf("xpos = %d	ypos = %d\n",xpos,ypos);
			

/* p0 = start; p1 = dur; p2 = pitch (oct.pc); p3 = fundamental decay time
   p4 = nyquist decay time; p5 = amp, p6 = squish; p7 = stereo spread [optional]
*/

        RTsendsock("START", theSock, 7, 0.0, 0.3, pitch, 0.3, 0.2, 10000.0, 1.0);

	xpos = xpos + (int)(rrand() * 25.0);
	ypos = ypos + (int)(rrand() * 25.0);

	if (xpos <= 0) xpos = 5;
	if (xpos >= 500) xpos = 495;
	if (ypos <= 0) ypos = 5;
	if (ypos >= 500) ypos = 495;
}
